/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.tables;

import demoviewer.model.MeansOfDeath;
import demoviewer.utils.StringUtils;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Me
 */
public class MeansOfDeathTableModel extends AbstractTableModel {
    
    private static final String[] COLUMN_NAMES = {"Weapon", ""};
    
    private List<MeansOfDeath> meansOfDeath = null;
    
    public MeansOfDeathTableModel(List<MeansOfDeath> meansOfDeath) {
        this.meansOfDeath = meansOfDeath;
    }
        
    @Override
    public int getRowCount() {
        return meansOfDeath.size();
    }

    @Override
    public int getColumnCount() {
        return COLUMN_NAMES.length;
    }
    
    @Override
    public String getColumnName(int columnIndex) {
        return COLUMN_NAMES[columnIndex];
    }
    
   @Override
    public Class<?> getColumnClass(int columnIndex) {

        switch (columnIndex) {
            case 0:
                return String.class;
            case 1:
                return Boolean.class;
            default:
                return String.class;
        }
    }
   
    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        
        if (columnIndex == 1) {
            return true;
        }
        
        return false;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
      
        MeansOfDeath mod = meansOfDeath.get(rowIndex);
        
        switch (columnIndex) {
            case 0:
                return mod.getDescription();
            case 1:
                return mod.isSelected();
            default:
                return "";
        }                
    } 
    
    @Override
    public void setValueAt(Object value, int rowIndex, int columnIndex) {
        
        if (columnIndex == 1 && value instanceof Boolean) {
            Boolean selected = (Boolean) value;
            meansOfDeath.get(rowIndex).setSelected(selected);
        }        
    }
    
    public List<MeansOfDeath> getMeansOfDeath() {
        return meansOfDeath;
    }

    public void setMeansOfDeath(List<MeansOfDeath> meansOfDeath) {
        this.meansOfDeath = meansOfDeath;
    }
}
