/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.tree;

import demoviewer.model.Directory;
import javax.swing.ImageIcon;

/**
 *
 * @author Me
 */
public class DirectoryTreeNode extends CheckBoxTreeNode {
    
    private static final ImageIcon IMAGE_ICON_DIRECTORY = new ImageIcon(DirectoryTreeNode.class.getResource("/demoviewer/resources/icons/folder.png"));
    
    private Directory directory = null;
    
    public DirectoryTreeNode(Directory directory) {
        
        super(directory.getFile().getName());
        
        this.directory = directory;
        
        setImageIcon(IMAGE_ICON_DIRECTORY);
    }  
    
    public Directory getDirectory() {
        return directory;
    }

    public void setDirectory(Directory directory) {
        this.directory = directory;
    }
}
