/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 *
 * @author Me
 */
public class MeansOfDeath implements Comparable<MeansOfDeath> {
    
    public static final int MOD_UNKNOWN = 0;
    public static final int MOD_SHOTGUN = 1;
    public static final int MOD_GAUNTLET = 2;
    public static final int MOD_MACHINEGUN = 3;
    public static final int MOD_GRENADE = 4;
    public static final int MOD_GRENADE_SPLASH = 5;
    public static final int MOD_ROCKET = 6;
    public static final int MOD_ROCKET_SPLASH = 7;
    public static final int MOD_RAILGUN = 8;
    public static final int MOD_LIGHTNING = 9;
    public static final int MOD_BFG = 10;
    public static final int MOD_BFG_SPLASH = 11;
    public static final int MOD_KNIFE = 12;
    public static final int MOD_KNIFE2 = 13;
    public static final int MOD_KNIFE_STEALTH = 14;
    public static final int MOD_LUGER = 15;
    public static final int MOD_COLT = 16;
    public static final int MOD_MP40 = 17;
    public static final int MOD_THOMPSON = 18;
    public static final int MOD_STEN = 19;
    public static final int MOD_MAUSER = 20;
    public static final int MOD_SNIPERRIFLE = 21;
    public static final int MOD_GARAND = 22;
    public static final int MOD_SNOOPERSCOPE = 23;
    public static final int MOD_SILENCER = 24;
    public static final int MOD_AKIMBO = 25;
    public static final int MOD_BAR = 26;
    public static final int MOD_FG42 = 27;
    public static final int MOD_FG42SCOPE = 28;
    public static final int MOD_PANZERFAUST = 29;
    public static final int MOD_ROCKET_LAUNCHER = 30;
    public static final int MOD_GRENADE_LAUNCHER = 31;
    public static final int MOD_VENOM = 32;
    public static final int MOD_VENOM_FULL = 33;
    public static final int MOD_FLAMETHROWER = 34;
    public static final int MOD_TESLA = 35;
    public static final int MOD_SPEARGUN = 36;
    public static final int MOD_SPEARGUN_CO2 = 37;
    public static final int MOD_GRENADE_PINEAPPLE = 38;
    public static final int MOD_CROSS = 39;
    public static final int MOD_MORTAR = 40;
    public static final int MOD_MORTAR_SPLASH = 41;
    public static final int MOD_KICKED = 42;
    public static final int MOD_GRABBER = 43;
    public static final int MOD_DYNAMITE = 44;
    public static final int MOD_DYNAMITE_SPLASH = 45;
    public static final int MOD_AIRSTRIKE = 46;
    public static final int MOD_SYRINGE = 47;
    public static final int MOD_AMMO = 48;
    public static final int MOD_ARTY = 49;
    public static final int MOD_WATER = 50;
    public static final int MOD_SLIME = 51;
    public static final int MOD_LAVA = 52;
    public static final int MOD_CRUSH = 53;
    public static final int MOD_TELEFRAG = 54;
    public static final int MOD_FALLING = 55;
    public static final int MOD_SUICIDE = 56;
    public static final int MOD_TARGET_LASER = 57;
    public static final int MOD_TRIGGER_HURT = 58;
    public static final int MOD_GRAPPLE = 59;
    public static final int MOD_EXPLOSIVE = 60;
    public static final int MOD_POISONGAS = 61;
    public static final int MOD_ZOMBIESPIT = 62;
    public static final int MOD_ZOMBIESPIT_SPLASH = 63;
    public static final int MOD_ZOMBIESPIRIT = 64;
    public static final int MOD_ZOMBIESPIRIT_SPLASH = 65;
    public static final int MOD_LOPER_LEAP = 66;
    public static final int MOD_LOPER_GROUND = 68;
    public static final int MOD_LOPER_HIT = 68;
    public static final int MOD_LT_AMMO = 69;
    public static final int MOD_LT_AIRSTRIKE = 70;
    public static final int MOD_ENGINEER = 71;
    public static final int MOD_MEDIC = 72;
    public static final int MOD_BAT = 73;
          
    
    private int mod = -1;
    private boolean suicide = false;
    private String description = "";
    private boolean selected = false;
    
    public MeansOfDeath(int mod, boolean suicide, String description, boolean selected) {
        
        this.mod = mod;
        this.suicide = suicide;
        this.description = description;
        this.selected = selected;
    }
    
    public static List<MeansOfDeath> getMeansOfDeath() {
                    
        List<MeansOfDeath> meansOfDeath = new ArrayList<>();
        
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_UNKNOWN, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SHOTGUN, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GAUNTLET, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_MACHINEGUN, false, "Crew-served MG42", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GRENADE, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_GRENADE_SPLASH, true, "Dove on his own grenade", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ROCKET, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_ROCKET_SPLASH, true, "Vaporized himself", true));
        meansOfDeath.add(new MeansOfDeath(MOD_ROCKET_SPLASH, false, "Panzerfaust", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_RAILGUN, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LIGHTNING, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_BFG, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_BFG_SPLASH, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_KNIFE, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_KNIFE2, false, "Knife", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_KNIFE_STEALTH, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_LUGER, false, "Luger 9mm", true));
        meansOfDeath.add(new MeansOfDeath(MOD_COLT, false, ".45ACP 1911", true));
        meansOfDeath.add(new MeansOfDeath(MOD_MP40, false, "MP40", true));
        meansOfDeath.add(new MeansOfDeath(MOD_THOMPSON, false, "Thompson", true));
        meansOfDeath.add(new MeansOfDeath(MOD_STEN, false, "Sten", true));
        meansOfDeath.add(new MeansOfDeath(MOD_MAUSER, false, "Mauser", true));
        meansOfDeath.add(new MeansOfDeath(MOD_SNIPERRIFLE, false, "Sniper rifle", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GARAND, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SNOOPERSCOPE, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SILENCER, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_AKIMBO, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_BAR, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_FG42, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_FG42SCOPE, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_PANZERFAUST, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ROCKET_LAUNCHER, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GRENADE_LAUNCHER, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_VENOM, false, "Venom", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_VENOM_FULL, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_FLAMETHROWER, false, "Flamethrower", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_TESLA, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SPEARGUN, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SPEARGUN_CO2, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_GRENADE_PINEAPPLE, false, "Grenade", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_CROSS, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_MORTAR, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_MORTAR_SPLASH, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_KICKED, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GRABBER, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_DYNAMITE, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_DYNAMITE_SPLASH, true, "Dynamited himself to pieces", true));
        meansOfDeath.add(new MeansOfDeath(MOD_DYNAMITE_SPLASH, false, "Dynamite", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_AIRSTRIKE, true, "Obliterated himself", true));
        meansOfDeath.add(new MeansOfDeath(MOD_AIRSTRIKE, false, "Airstrike", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_SYRINGE, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_AMMO, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_ARTY, false, "Artillery", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_WATER, true, "Drowned", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_SLIME, true, "Died by toxic materials", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LAVA, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_CRUSH, true, "Was crushed", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_TELEFRAG, false, "Unknown", true));
        /////meansOfDeath.add(new MeansOfDeath(MOD_FALLING, true, "Fell to his death", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_SUICIDE, true, "Committed suicide", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_TARGET_LASER, false, "Unknown", true));
        meansOfDeath.add(new MeansOfDeath(MOD_TRIGGER_HURT, false, "Was killed", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_GRAPPLE, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(MOD_EXPLOSIVE, true, "Died in his own explosion", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_POISONGAS, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ZOMBIESPIT, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ZOMBIESPIT_SPLASH, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ZOMBIESPIRIT, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ZOMBIESPIRIT_SPLASH, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LOPER_LEAP, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LOPER_GROUND, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LOPER_HIT, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LT_AMMO, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_LT_AIRSTRIKE, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_ENGINEER, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_MEDIC, false, "Unknown", true));
        //MEANS_OF_DEATH.add(new MeansOfDeath(MOD_BAT, false, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(-1, true, "Unknown", true));
        ////meansOfDeath.add(new MeansOfDeath(-2, true, "Killed himself", true));
        
        Collections.sort(meansOfDeath);
        
        return meansOfDeath;
    }

    public int getMod() {
        return mod;
    }

    public void setMod(int mod) {
        this.mod = mod;
    }
    
    public boolean isSuicide() {
        return suicide;
    }

    public void setSuicide(boolean suicide) {
        this.suicide = suicide;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    @Override
    public int compareTo(MeansOfDeath o) {        
        return getDescription().compareTo(o.getDescription());
    }
}
