/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.database;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 *
 * @author Me
 */
public class DatabaseConnector {
    
    private static final String DB_NAME = "jdbc:sqlite:demos.db";
    
    private static DatabaseConnector databaseConnector = null;
    
    private DatabaseConnector() throws ClassNotFoundException {
        Class.forName("org.sqlite.JDBC");
    }
    
    public static Connection getConnection() throws SQLException, ClassNotFoundException {   
        
        if (databaseConnector == null) {
            databaseConnector = new DatabaseConnector();
        }
        
        return DriverManager.getConnection(DB_NAME);
    }    
}
