/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.database;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author Me
 */
public class ResultSetWrapper {
    
    private Connection connection = null;
    private ResultSet resultSet = null;
    
    public ResultSetWrapper(Connection connection, ResultSet resultSet) {
        
        this.connection = connection;
        this.resultSet = resultSet;
    }    
    
    public Connection getConnection() {
        return connection;
    }

    public void setConnection(Connection connection) {
        this.connection = connection;
    }

    public ResultSet getResultSet() {
        return resultSet;
    }

    public void setResultSet(ResultSet resultSet) {
        this.resultSet = resultSet;
    }
    
    public void close() throws SQLException {
                
        if (connection != null) {
            connection.close();
        }
        
        if (resultSet != null) {
            resultSet.close();
        }        
    }
}
