/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.tree;

import demoviewer.model.Demo;
import demoviewer.utils.FileUtils;
import javax.swing.ImageIcon;

/**
 *
 * @author Me
 */
public class DemoTreeNode extends CheckBoxTreeNode {
    
    public static final ImageIcon IMAGE_ICON_DEMO = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/database_error.png"));
    public static final ImageIcon IMAGE_ICON_DEMO_SCANNING = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/database_scan.png"));
    public static final ImageIcon IMAGE_ICON_DEMO_SCANNED = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/database.png"));
    
    private Demo demo = null;
    
    public DemoTreeNode(Demo demo) {
        
        super(FileUtils.getFileNameWithoutExtension(demo.getFile()));
        
        this.demo = demo;
        
        setImageIcon(IMAGE_ICON_DEMO);
    }  
    
    public Demo getDemo() {
        return demo;
    }

    public void setDemo(Demo demo) {
        this.demo = demo;
    }
}
