/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.tree;

import javax.swing.ImageIcon;

/**
 *
 * @author Me
 */
public class ImageIconTreeNode extends TextTreeNode {
    
    private static final ImageIcon IMAGE_ICON_DEFAULT = new ImageIcon(ImageIconTreeNode.class.getResource("/demoviewer/resources/icons/folder.png"));
    
    private ImageIcon imageIcon = null;
    
    public ImageIconTreeNode(String text) {
        super(text);
    }

    public ImageIcon getImageIcon() {
        
        if (imageIcon == null) {
            return IMAGE_ICON_DEFAULT;
        }
        
        return imageIcon;
    }

    public void setImageIcon(ImageIcon imageIcon) {
        this.imageIcon = imageIcon;
    }    
}
