/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demoviewer.model.tree;

import demoviewer.model.Frag;
import java.util.List;
import javax.swing.ImageIcon;

/**
 *
 * @author Me
 */
public class SpreeTreeNode extends CheckBoxTreeNode {

    public static final ImageIcon IMAGE_ICON_SPREE_0 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a0.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_1 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a1.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_2 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a2.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_3 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a3.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_4 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a4.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_5 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a5.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_6 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a6.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_7 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a7.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_8 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a8.png"));
    public static final ImageIcon IMAGE_ICON_SPREE_9 = new ImageIcon(DemoTreeNode.class.getResource("/demoviewer/resources/icons/a9.png"));
    
    private List<Frag> frags = null;

    public SpreeTreeNode(List<Frag> frags) {

        super("");

        this.frags = frags;

        setSpreeImageIcon();
    }

    private void setSpreeImageIcon() {

        if (frags != null && !frags.isEmpty()) {

            switch (frags.size()) {
                case 0:
                    setImageIcon(IMAGE_ICON_SPREE_0);
                    return;
                case 1:
                    setImageIcon(IMAGE_ICON_SPREE_1);
                    return;
                case 2:
                    setImageIcon(IMAGE_ICON_SPREE_2);
                    return;
                case 3:
                    setImageIcon(IMAGE_ICON_SPREE_3);
                    return;
                case 4:
                    setImageIcon(IMAGE_ICON_SPREE_4);
                    return;
                case 5:
                    setImageIcon(IMAGE_ICON_SPREE_5);
                    return;
                case 6:
                    setImageIcon(IMAGE_ICON_SPREE_6);
                    return;
                case 7:
                    setImageIcon(IMAGE_ICON_SPREE_7);
                    return;
                case 8:
                    setImageIcon(IMAGE_ICON_SPREE_8);
                    return;
                case 9:
                    setImageIcon(IMAGE_ICON_SPREE_9);
                    return;
                default:
                    setImageIcon(IMAGE_ICON_SPREE_0);
                    return;
            }
        }

        setImageIcon(IMAGE_ICON_SPREE_0);
    }

    public List<Frag> getFrags() {
        return frags;
    }

    public void setFrags(List<Frag> frags) {
        this.frags = frags;
    }
}
