
package demoviewer.utils;

import java.awt.Color;

/**
 *
 * @author Me
 */
public class StringUtils {
    
    public static boolean isNullOrEmpty(String str) {
        
        if (str == null || str.length() == 0) {
            return true;
        }
        
        return false;        
    }   
    
    public static String qq(String str) {        
        return "\"" + str + "\"";        
    }
    
    public static String getStringFromMillis(long millis) {
        
        int seconds = (int)(millis / 1000);
	int mins = seconds / 60;
	seconds -= mins * 60;
	int tens = seconds / 10;
	seconds -= tens * 10;
        
        return String.format("%d:%d%d", mins, tens, seconds);
    }
    
    public static String getBooleanAsString(boolean bool) {
        
        if (bool) {
            return "Yes";
        }
        
        return "No";        
    }
    
    public static String getColorStringFromColor(Color color) {
        
        String rgb = Integer.toHexString(color.getRGB());
        return "#" + rgb.substring(2, rgb.length());
    }
}
